aegis -Develop_End(1)

NAME
aegis -Develop_End - complete development of a change

SYNOPSIS
aegis -Develop_End [ option... ]
aegis -Develop_End -List [ option... ]
aegis -Develop_End -Help

DESCRIPTION
The aegis -Develop_End command is used to notify aegis of the completion of the development of a change.

This command checks that you have successfully completed an 'aegis -Build' command since any change source file was edited. See aeb(1) for more information.

This command checks that you have successfully completed an 'aegis -DIFFerence' command since any change source file was edited. See aed(1) for more information.

This command checks that you have successfully completed an 'aegis -Test' command since the last successful build, unless the change has a test_exempt attribute, or the build command is "exit 0". This command checks that you have successfully completed an 'aegis -Test -BaseLine' command, unless the change has a test_baseline_exempt attribute. This command checks that you have successfully completed an 'aegis -Test -REGression' command, unless the change has a test_regression_exempt attribute. See aet(1) and aecattr(5) for more information.

If the change includes the project configuration file, this command checks project file names, to make sure they conform to the maximum_filename_length and posix_filename_charset field settings. See aepconf(5) for more information.

Successful execution of the command advances the change from the being developed state to the being reviewed state, by default. The develop_end_action project attribute controls which of the following 3 paths are taken. Please Note: the third alternative, skipping reviews altogether, should only be used for single person projects. All self-respecting commercial enterprise will avoid this alternative.

Because branches may extend for many months or even years, it is common for the user who initiated the branch to be no longer with the project, or even the company. For this reason, project administrators may end the development of branches. For normal changes in this situation, use the aechown(1) command.

If the project configuration file has specified the presence of Signed-off-by: lines, a suitable line containing the current user's email address will be appended to the change description.

The change is no longer considered assigned to the developer.

  Branches
If you get an error message telling you that you can't end a branch because a file needs to be merged, see the Branching chapter of the Aegis User Guide for more information.

While changes and branches are almost identical in the ways you manipulate them within Aegis, actual file changes must always be done in a change. Thus, it is necessary to create a new change on the branch and do a cross-branch grandparent merge before you will be able to develop-end a branch which is giving you this error.

  Notification
On successful completion of the command, the develop_end_notify_command field of the project attributes file is run, if set. See aepa(1) and aepattr(5) for more information.

If your project has configured the develop_end_action in the project confifuration file to goto_awaiting_integration then the review_pass_notify_command in the project attributes file is run instead, if set.

OPTIONS
The following options are understood:

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-Help
    This option may be used to obtain more information about how to use the aegis program.

-List
    This option may be used to obtain a list of suitable subjects for this command. The list may be more general than expected.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-REAson text
    This option may be used to attach a comment to the change history generated by this command. You will need to use quotes to insulate the spaces from the shell.

-Signed_Off_By
    This option may be used to have a Signed-off-by: line appended to the change set description.

-No_Signed_Off_By
    This option may be used to prevent a Signed-off-by: line from being appended to the change set description.

-TERse
    This option may be used to cause listings to produce the bare minimum of information. It is usually useful for shell scripts.

-Verbose
    This option may be used to cause aegis to produce more output. By default aegis only produces output on errors. When used with the -List option this option causes column headings to be added.

-Wait
    This option may be used to require Aegis commands to wait for access locks, if they cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

-No_Wait
    This option may be used to require Aegis commands to emit a fatal error if access locks cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aegis are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

RECOMMENDED ALIAS
The recommended alias for this command is
csh%	alias aede 'aegis -de \!* -v'
sh$	aede(){aegis -de "$@" -v}

ERRORS
It is an error if the change is not assigned to the current user.
It is an error if The change is not in the being developed state.
It is an error if there has been no successful 'aegis -Build' command since a change file was last edited.
It is an error if there has been no successful 'aegis -DIFFerence' command since a change file was last edited.
It is an error if there has been no successful 'aegis -Test' command since a change file was last edited.
It is an error if there has been no successful 'aegis -Test -BaseLine' command since a change file was last edited.

It is an error if an read-only file is still copied into the change. Read-only files are to insulate a change from the baseline during development; they must be removed before development may end.

EXIT STATUS
The aegis command will exit with a status of 1 on any error. The aegis command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

aeb(1)
    build a change

aeca(1)
    list or modify attributes of a change

aed(1)
    difference a change

aedb(1)
    begin development of a change

aede-policy(1)
    validate change set is ready to end

aedeu(1)
    recall a change for further development

aerfail(1)
    fail a change review

aerpass(1)
    pass a change review

aet(1)
    test a change

aepconf(5)
    project configuration file format

aeuconf(5)
    user configuration file format

COPYRIGHT
aegis version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aegis program comes with ABSOLUTELY NO WARRANTY; for details use the 'aegis -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aegis -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/